local coveredBridge = ...

-- Apply building asset processor
coveredBridge:registerAssetProcessor("models/coveredBridge.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
coveredBridge:registerAssetProcessor("models/coveredBridgeDecoration.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})


-- Register all covered bridge building parts and their properties
coveredBridge:dofile("scripts/building_parts.lua")

-- Register the covered bridge monument
coveredBridge:register({
	DataType = "MONUMENT",
	Id = "COVERED_BRIDGE",
	Name = "COVERED_BRIDGE_MONUMENT_NAME",
	Description = "COVERED_BRIDGE_MONUMENT_DESC",
	BuildingType = "MONUMENT",
	BuildingPartSetList = {
		{
			Name = "COVERED_BRIDGE_NAME",
	                BuildingPartList = {
		            "COVERED_BRIDGE_CORE_PART",
		            "COVERED_BRIDGE_HOUSE_PART",
		            "COVERED_BRIDGE_TAILOR_PART",
                            "COVERED_BRIDGE_DOOR_PART",
		            "COVERED_BRIDGE_CENTER_COVERAGE_PART",
		            "COVERED_BRIDGE_START_END_COVERAGE_PART"
	                }
                }
        },
	IsManuallyUnlocked = false,
	IsDestructible = true,
	IsEditable = true,
	IsClearTrees = true
})